Bug 812760 - Single option to update the grace-timeout value
Single option to update the grace-timeout value
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Junaid
Anush Shetty
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-16 03:38 EDT by Junaid
Modified: 2013-08-06 18:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:31:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Junaid 2012-04-16 03:38:32 EDT
Description of problem:
Currently, there are two options "client.grace-timeout" and "server.grace-timeout" to change the grace timeout values on client and server respectively. Its better to have a single option that would effect both client and server timeouts.

This is the tracking bug to make sure that this is documented.
Comment 1 Junaid 2012-04-16 03:39:18 EDT
Also, have lock self healing off by default on both client and server processes.
Comment 2 Anand Avati 2012-04-16 14:35:56 EDT
CHANGE: http://review.gluster.com/3153 (protocol/client,server: Lock self healing off by default.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Vijay Bellur 2012-04-16 14:37:21 EDT
Divya, Can you please update documentation to reflect this change?

Thanks,
Vijay
Comment 4 Divya 2012-04-17 05:12:28 EDT
(In reply to comment #3)
> Divya, Can you please update documentation to reflect this change?
> 
> Thanks,
> Vijay

Vijay,

I have made the following changes to the RHS guide:

1. Delete client.grace-timeout and server.grace-timeout options
2. Add "features.grace-timeout" option with the following:
   Description: Specifies the duration for the lock state to be maintained on the client and server after a network disconnection.
   Default Value: 10 secs
   Available options: 10 - 1800 secs

3. Change the default value of "features.lock-heal" option to "off"

The updated doc will be published for Beta 2.
Comment 5 Anush Shetty 2012-05-30 10:08:34 EDT
Verified with 3.3.0qa45

Note You need to log in before you can comment on or make changes to this bug.